## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.util
Class Images

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.util.Images

    public class Images

extends java.lang.Object

Utility class to load images

Author:
  Idull

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_HELP`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REFRESH`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REVERT`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SAVE_TO_DB`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SAVEAS`
`static java.lang.String` `IMG_HELP`
`static java.lang.String` `IMG_REFRESH`
`static java.lang.String` `IMG_REVERT`
`static java.lang.String` `IMG_SAVE_TO_DB`
`static java.lang.String` `IMG_SAVEAS`

Constructor Summary
`Images()`

Method Summary
`static org.eclipse.swt.graphics.Image` `get(java.lang.String key)` Returns the image managed under the given key in this registry.
`static org.eclipse.jface.resource.ImageRegistry` `getImageRegistry()` Helper method to convert HashMap to ImageRegistry

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_HELP

    public static final java.lang.String IMG_HELP

See Also:
  Constant Field Values

### DESC_HELP

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_HELP

### IMG_SAVEAS

    public static final java.lang.String IMG_SAVEAS

See Also:
  Constant Field Values

### DESC_SAVEAS

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SAVEAS

### IMG_REFRESH

    public static final java.lang.String IMG_REFRESH

See Also:
  Constant Field Values

### DESC_REFRESH

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REFRESH

### IMG_REVERT

    public static final java.lang.String IMG_REVERT

See Also:
  Constant Field Values

### DESC_REVERT

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REVERT

### IMG_SAVE_TO_DB

    public static final java.lang.String IMG_SAVE_TO_DB

See Also:
  Constant Field Values

### DESC_SAVE_TO_DB

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SAVE_TO_DB

Constructor Detail

### Images

    public Images()

Method Detail

### get

    public static org.eclipse.swt.graphics.Image get(java.lang.String key)

  Returns the image managed under the given key in this registry.

  Parameters:
    `key` - the image's key
  Returns:
    the image managed under the given key

### getImageRegistry

    public static org.eclipse.jface.resource.ImageRegistry getImageRegistry()

  Helper method to convert HashMap to ImageRegistry

  Returns:
    the image registry